# A Math-in-the-Middle Ontology of Mathematical Models
  
This repository contains the Math-in-the-Middle ontology for mathematical models (as in modelling e.g. charge carrier transport processes in semiconductors). The emphasis here is in the development of modular and reusable structures that support formal and narrative services that are useful for modelers in practice. 

The collection of theories allows to describe the stationary van Roosbroeck system describing
the charge transport of electrons and holes in a one-dimensional (layered) semiconductor device. 
The model includes electron and hole densities according the Boltzmann approximation and spontaneous radiative recombination processes (so far). Furthermore the material properties such as band edges, density of states, mobilties are assumed to be homogenous (spatially constant). Also a homogenous and constant device temperature is assumed.

In particular we apply the following naming scheme:

Theories: Letter-case delimter-separted words 

Quantity_Species   

Species = {Electrons, Holes}

Examples:

Current_Electrons, Quasi_Fermi_Potential_Holes, Density_Electrons, 
Continuity_Equation_Electrons

For the curi-abbreviations the use lowercase delimiter-separated words:

quantity_species

species = {electrons, holes)

Examples:

current_electrons, density_holes



